Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.batchadapter.webservice
Class PreTransferParams

    java.lang.Object
      com.stc.connector.batchadapter.webservice.PreTransferParams

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData

    public class PreTransferParams

extends java.lang.Object
implements com.stc.connector.persistence.bpel.PersistableData

jim.fu@sun.com TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Constructor Summary
`PreTransferParams()`

Method Summary
`java.lang.String` | `getLocalCommand()`
`java.lang.String` | `getLocalDirName()`
`boolean` | `getLocalDirNameIsPattern()`
`java.lang.String` | `getLocalFileName()`
`boolean` | `getLocalFileNameIsPattern()`
`java.lang.String` | `getRemoteCommand()`
`java.lang.String` | `getRemoteDirName()`
`boolean` | `getRemoteDirNameIsPattern()`
`java.lang.String` | `getRemoteFileName()`
`boolean` | `getRemoteFileNameIsPattern()`
`boolean` | `hasLocalCommand()`
`boolean` | `hasLocalDirName()`
`boolean` | `hasLocalDirNameIsPattern()`
`boolean` | `hasLocalFileName()`
`boolean` | `hasLocalFileNameIsPattern()`
`boolean` | `hasRemoteCommand()`
`boolean` | `hasRemoteDirName()`
`boolean` | `hasRemoteDirNameIsPattern()`
`boolean` | `hasRemoteFileName()`
`boolean` | `hasRemoteFileNameIsPattern()`
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dout)`
`void` | `restore(com.stc.connector.persistence.bpel.DataInput din)` Restores this message.
`void` | `setLocalCommand(java.lang.String cmd)`
`void` | `setLocalDirName(java.lang.String dir)`
`void` | `setLocalDirNameIsPattern(boolean b)`
`void` | `setLocalFileName(java.lang.String file)`
`void` | `setLocalFileNameIsPattern(boolean b)`
`void` | `setRemoteCommand(java.lang.String cmd)`
`void` | `setRemoteDirName(java.lang.String dir)`
`void` | `setRemoteDirNameIsPattern(boolean b)`
`void` | `setRemoteFileName(java.lang.String file)`
`void` | `setRemoteFileNameIsPattern(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreTransferParams

    public PreTransferParams()

Method Detail

### getRemoteCommand

    public java.lang.String getRemoteCommand()

### getRemoteDirName

    public java.lang.String getRemoteDirName()

### getRemoteDirNameIsPattern

    public boolean getRemoteDirNameIsPattern()

### getRemoteFileName

    public java.lang.String getRemoteFileName()

### getRemoteFileNameIsPattern

    public boolean getRemoteFileNameIsPattern()

### hasRemoteCommand

    public boolean hasRemoteCommand()

### setRemoteCommand

    public void setRemoteCommand(java.lang.String cmd)

### hasRemoteDirName

    public boolean hasRemoteDirName()

### setRemoteDirName

    public void setRemoteDirName(java.lang.String dir)

### hasRemoteDirNameIsPattern

    public boolean hasRemoteDirNameIsPattern()

### setRemoteDirNameIsPattern

    public void setRemoteDirNameIsPattern(boolean b)

### hasRemoteFileName

    public boolean hasRemoteFileName()

### setRemoteFileName

    public void setRemoteFileName(java.lang.String file)

### hasRemoteFileNameIsPattern

    public boolean hasRemoteFileNameIsPattern()

### setRemoteFileNameIsPattern

    public void setRemoteFileNameIsPattern(boolean b)

### getLocalCommand

    public java.lang.String getLocalCommand()

### getLocalDirName

    public java.lang.String getLocalDirName()

### getLocalDirNameIsPattern

    public boolean getLocalDirNameIsPattern()

### getLocalFileName

    public java.lang.String getLocalFileName()

### getLocalFileNameIsPattern

    public boolean getLocalFileNameIsPattern()

### hasLocalCommand

    public boolean hasLocalCommand()

### setLocalCommand

    public void setLocalCommand(java.lang.String cmd)

### hasLocalDirName

    public boolean hasLocalDirName()

### setLocalDirName

    public void setLocalDirName(java.lang.String dir)

### hasLocalDirNameIsPattern

    public boolean hasLocalDirNameIsPattern()

### setLocalDirNameIsPattern

    public void setLocalDirNameIsPattern(boolean b)

### hasLocalFileName

    public boolean hasLocalFileName()

### setLocalFileName

    public void setLocalFileName(java.lang.String file)

### hasLocalFileNameIsPattern

    public boolean hasLocalFileNameIsPattern()

### setLocalFileNameIsPattern

    public void setLocalFileNameIsPattern(boolean b)

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dout)
                 throws java.lang.Exception

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Throws:
    `java.lang.Exception`

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput din)
                 throws java.lang.Exception

  Restores this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dis` - The DataInput from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD